Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.parser
Class SWRLParser

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.parser.SWRLParser

    public class SWRLParser

extends Object

Author:
  Martin O'Connor , Holger Knublauch

Field Summary
`static char` | `AND_CHAR`
`static String` | `delimiters`
`static char` | `IMP_CHAR`

Constructor Summary
`SWRLParser(OWLModel owlModel)`

Method Summary
`boolean` | `isCorrectAndIncomplete(String rule)` If the rule is correct and incomplete return 'true'; if the rule has errors or is correct and complete, return 'false'.
`SWRLImp` | `parse(String rule)`
`SWRLImp` | `parse(String rule, SWRLImp imp)`
`void` | `setParseOnly(boolean parseOnly)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AND_CHAR

    public static final char AND_CHAR

See Also:
  Constant Field Values

### IMP_CHAR

    public static final char IMP_CHAR

See Also:
  Constant Field Values

### delimiters

    public static final String delimiters

See Also:
  Constant Field Values

Constructor Detail

### SWRLParser

    public SWRLParser(OWLModel owlModel)

Method Detail

### setParseOnly

    public void setParseOnly(boolean parseOnly)

### isCorrectAndIncomplete

    public boolean isCorrectAndIncomplete(String rule)

  If the rule is correct and incomplete return 'true'; if the rule has errors or is correct and complete, return 'false'.

### parse

    public SWRLImp parse(String rule)
                  throws SWRLParseException

  Throws:
    `SWRLParseException`

### parse

    public SWRLImp parse(String rule,
                         SWRLImp imp)
                  throws SWRLParseException

  Throws:
    `SWRLParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.